/* Unified stylesheet - make sure to link to this in every new page. */

/* VARIABLES */
:root {
	/* The font used by the menu buttons. */
	--menu-font-face: "Georgia", "Times New Roman", serif;
	--menu-font-size: 14px;

	/* The font used by everything else on the page. */
    --page-font-face: "Verdana", "Geneva", sans-serif;
	--page-font-size: 13px;
	--page-font-weight: lighter;

}

* {
	box-sizing: border-box;
}

.text {
    font-size: var(--page-font-size);
    text-align: left;
    font-style: normal;
}

p {
	font-size: var(--page-font-size);
}
h1, h2, h3, h4 {
	font-size: large;	/* font-style: italic; */
	font-family: Verdana, Geneva, sans-serif;
	color: #90C;
	font-style: italic;
}

.italic {
	font-style: italic;
}
a:link {
	color: #B4A08C;
	text-decoration: none;
}
a:visited {
	text-decoration: none;
	color: #B4A08C;
}
a:hover, a:focus {
	text-decoration: none;
	color: #096;
}
a:active {
	text-decoration: none;
	color: #3b9;

}
body,td,th {
	color: #666;
}
lightgrey {
	color: #CCC;
}
body {
	background-color: #FFFFFF;
	font-family: var(--page-font-face);
}


/* @charset "utf-8"; */
/* Simple fluid media
   Note: Fluid media requires that you remove the media's height and width attributes from the HTML
   http://www.alistapart.com/articles/fluid-images/ 
*/
img, object, embed, video {
	max-width: 100%;
}
/* IE 6 does not support max-width so default to width 100% */
.ie6 img {
	width:100%;
}

/*
	Dreamweaver Fluid Grid Properties
	----------------------------------
	dw-num-cols-mobile:		5;
	dw-num-cols-tablet:		8;
	dw-num-cols-desktop:	10;
	dw-gutter-percentage:	25;
	
	Inspiration from "Responsive Web Design" by Ethan Marcotte 
	http://www.alistapart.com/articles/responsive-web-design
	
	and Golden Grid System by Joni Korpi
	http://goldengridsystem.com/
*/

/* Mobile Layout: 480px and below. */

.logo {
  border: 0px solid #ddd;
  border-radius: 0px;
  padding: 0px;
  max-width: 100%;
  height: auto;
}


.responsive {
  border: 2px solid #ddd;
  border-radius: 0px;
  padding: 5px;
  max-width: 100%;
  /* width: 100%; */
  height: auto;
  margin-bottom: 10px;
  /* margin-top: 5px; */
}


.gridContainer {
	margin-left: auto;
	margin-right: auto;
	width: 90%;
	padding-left: 0%;
	padding-right: 0%;
}

a {
	padding: 0px;
	/* margin: 5px; */
	background-color:#FFF;
	text-decoration:none;
	display: inline-block;
	color: #B4A08C
}

#Banner {
	clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
	color: #666;
	background-color: #FFF;
	padding: 2%
}
#body {
	clear: none;
	float: left;
	margin-left: 1%;
	width: 100%;
	display: block;
}
#image {
	clear: none;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
	background-color: #FFF;
}
#blurb {
	clear: none;
	float: left;
	margin-left: 0;
	width: 90%;
	display: block;
	background-color: #FFF;
	padding: 10px;
	font-size: var(--page-font-size);
}
#copyright {
	clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
}

.mobile-menu-button {
	display:none;
	color: #B4A08C;
	background-color: transparent;
	font-size: var(--menu-font-size);
	font-weight: bold;
	border: none;
}

#site-menu-button {
	padding-bottom: 1em;
}

#site-menu-close-button {
	/* position: absolute; */
	/* top: 0; */
	/* right: 0; */
	float: right;
}

/* new settings for the main menu on mobile */
@media screen and (max-width: 550px) {
	.mobile-menu-button {
		display: inline;
	}
	#navbar {
		position: absolute;
		left: 0;
		right: 0;
		text-align: center;
		background-color: white;
		padding: 0;
		height:100vh;
	}
	#navbar.hidden-mobile { /* for when the bar is hidden by scripts */
		display:none;
	}

	#navbar a {
		width: 100%;
		margin-bottom: 1em;
	}
	#caricatures-menu-list {
		transform: translateX(-50%);
		left:50vw;
	}
}

#navbar {
	clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
	font-family: var(--menu-font-face);
	font-size: var(--menu-font-size);
	font-weight: bold;
}
#navbar a {
	padding: 10px;
}

#caricatures-menu {
	position: relative;
}
#caricatures-menu-list {
	width: 15em;
	border: 3px solid #B4A08C;
	background-color: white;
	position: absolute;
	top: 1.5em;
	transform-origin: top;
	transition: opacity linear 100ms;
}
.hiddenish {
	/* keep element selectable via tab, but make it invisible */
	opacity: 0;
	user-select: none;
	pointer-events: none;
}
.hiddenish:focus-within {
	opacity: 1;
	user-select: auto;
	pointer-events: all;
}

#caricatures-menu-list a {
	width: 100%;
}

#socials {
	clear: both;
	
	
	float: left;
	
	
	margin-left: 0;
	
	
	width: 100%;
	
	
	display: block;
	
	
}


/* Tablet Layout: 481px to 768px. Inherits styles from: Mobile Layout. */

@media only screen and (min-width: 550px) {
.gridContainer {
	width: 90%;
	padding-left: 2%;
	padding-right: 2%;
}
#Banner {
	clear: both;
	float: left;
	margin-left: 0;
	width: 95%;
	display: block;
	color: #999;
	background-color: #FFF;
	padding: 2%
}
#body {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 100%;
	display: block;
}

#content {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 100%;
	display: block;
	background-color: #FFFFFF;
}

#image {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 100%;
	display: block;
}
#blurb {
	clear: none;
	float: left;

	margin-left: 0%;
	width: 85%;
	display: block;
	background-color: #FFF;
}
#copyright {
	clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
}
#navbar {
clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
	
}
#socials {
clear: both;
	
float: left;
	
margin-left: 0;
	
width: 100%;
	
display: block;
	
}



}

/* Desktop Layout: 769px to a max of 1232px.  Inherits styles from: Mobile Layout and Tablet Layout. */

@media only screen and (min-width: 850px) {
.gridContainer {
	width: 80%;
	max-width: 1232px;
	padding-left: 0.9%;
	padding-right: 0.9%;
	margin: auto;
}
#Banner {
	clear: both;
	float: left;
	margin-left: 0;
	width: 100%;
	display: block;
	color: #666;
	background-color: #FFFFFF;
	padding: 0%
}

#navbar {
	clear: both;
	float: left;
	margin-left: 0px;
	width: 100%;
	display: inline-block;
	color: #8599AD;	
}

#body {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 100%;
	display: block;
	background-color: #FFFFFF;
}

#content {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 100%;
	display: block;
	background-color: #FFFFFF;
}
#image {
	clear: none;
	float: left;
	margin-left: 0%;
	margin-right: 0%;
	width: 50%;
	display: inline-block;
	padding: 10px;
	background-color: #FFFFFF;
}
#blurb {
	clear: none;
	float: left;
	margin-left: 0%;
	width: 50%;
	display: inline-block;
	padding: 10px;

	background-color: #FFFFFF;
}
#copyright {
	clear: both;
	float: left;
	margin-left: 0;
	width: 80%;
	display: block;
	padding:5%;
}

#socials {
clear: both;
	float: left;
	margin-left: 0;
	width: 80%;
	display: block;
	padding:5%;
}


}
